--- title: "Create quota policy" slug: "organization-post-policy" updated: 2026-09-17T10:05:38Z published: 2026-09-17T10:05:38Z canonical: "api.ncloud-docs.com/organization-post-policy" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create quota policy Available in Classic and VPC Create a quota policy. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /open-api/v1/policy | ### Request headers For information about the headers common to all Organization APIs, see [Organization request headers](/docs/en/organization-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `organizationGroupNoList` | Array | Optional | List of applicable account group numbers - See [Get account group list](/docs/en/organization-get-group-tree). | | `policyDesc` | String | Required | Policy description - 0-100 characters | | `policyName` | String | Required | Policy name - Enter 3-50 characters by combining English letters, numbers, and special characters "-", "_", and ".". - It must start with an English letter or a number. | | `resourceQuotaList` | Array | Required | Resource usage limit: [resourceQuotaList](/docs/en/organization-post-policy#resourceQuotaList) | #### `resourceQuotaList` The following describes `resourceQuotaList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionNo` | Integer | Required | Region number | | `resourceDetailList` | Array | Required | Resource type usage limit: [resourceDetailList](/docs/en/organization-post-policy#resourceDetailList) - If the resource type is not specified, it is displayed as an empty value `[]`. | | `resourceRestrictCount` | Integer | Required | Resource usage limist - Enter within the maximum limit. | | `resourceTypeCode` | String | Required | Resource code - See [Get resource list](/docs/en/organization-get-policy-resource). | Note You can check the resource usage limit through the Service Quota service of the NAVER Cloud Platform. You can check the limit in the NAVER Cloud Platform console. For more information on how to check the limit, see the [Service Quota user guide](https://guide.ncloud-docs.com/docs/en/servicequota-status). #### `resourceDetailList` The following describes `resourceDetailList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `generationCode` | String | Optional | Generation classification code - See [Get resource type list](/docs/en/organization-get-policy-detail). | | `productRestrictCount` | Integer | Optional | Resource usage limit - Enter within the value of `maxProductRestrictCount` of the [Get resource type list](/docs/en/organization-get-policy-detail) response. | | `productTypeCode` | String | Optional | Resource type code - See [Get resource type list](/docs/en/organization-get-policy-detail). | | `productTypeDetailCode` | String | Optional | Resource detailed type code - See [Get resource type list](/docs/en/organization-get-policy-detail). | | `infraResourceDetailTypeCode` | String | Optional | Service type code - See [Get service type list](/docs/en/organization-get-policy-service). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://organization.apigw.ntruss.com/open-api/v1/policy' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "organizationGroupNoList": [ 1447 ], "policyDesc": "NewPolicyO4 Description", "policyName": "NewPolicyO4", "resourceQuotaList": [ { "regionNo": 1, "resourceTypeCode": "VSVR", "resourceRestrictCount": 30, "resourceDetailList": [ { "generationCode": "G2", "productRestrictCount": 20, "productTypeCode": "STAND", "productTypeDetailCode": "STAND", "infraResourceDetailTypeCode": "VM" } ] } ] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `policyNo` | String | - | Policy number | ### Response status codes For information about the HTTP status codes common to all Organization APIs, see [Organization response status codes](/docs/en/organization-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "policyNo": 4944 } ```